### executor_work_guard

An object of type `executor_work_guard` controls ownership of executor work within a scope.

    template<
        typename Executor>
    class executor_work_guard

##### Types

Name | Description
--- | ---
executor_type | The underlying executor type.

##### Member Functions

Name | Description
--- | ---
executor_work_guard [constructor] | Constructs a executor_work_guard object for the specified executor. — Copy constructor. — Move constructor.
get_executor | Obtain the associated executor.
owns_work | Whether the executor_work_guard object owns some outstanding work.
reset | Indicate that the work is no longer outstanding.
~executor_work_guard [destructor] | Destructor.

##### Requirements

Header: `asio/executor_work_guard.hpp`

Convenience header: `asio.hpp`